Bug 9217 - CreateFile with FILE_DIRECTORY_FILE can create directories on read-only shares.
CreateFile with FILE_DIRECTORY_FILE can create directories on read-only shares.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 23:08 UTC by Jeremy Allison
Modified: 2012-09-28 06:55 UTC (History)
0 users

See Also:


Attachments
git-am fix for 4.0.0rc.next (2.00 KB, patch)
2012-09-27 17:23 UTC, Jeremy Allison
vl: review+
jra: review? (idra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2012-09-26 23:08:32 UTC
Found by Simo and patched by Volker. Patch for 4.0.0rc to follow.
Comment 1 Jeremy Allison 2012-09-27 17:23:40 UTC
Created attachment 7954 [details]
git-am fix for 4.0.0rc.next
Comment 2 Jeremy Allison 2012-09-27 17:40:37 UTC
Re-assigning to Karolin for inclusion in 4.0.0rc.next.

Thanks,

Jeremy.
Comment 3 Karolin Seeger 2012-09-28 06:55:46 UTC
Pushed to autibuild-v4-0-test.
Closing out bug report.

Thanks!